////////////////////////////////////////////////////////////////////////////////
// i2c.h
//
// 2014/05/23 0.0 Takashi Matsuoka
//

#ifndef I2C_H_
#define I2C_H_

enum I2C_SPEED
{
	I2C_SPEED_400KHZ,
	I2C_SPEED_100KHZ,
};

enum I2C_DIRECTION
{
	I2C_DIRECTION_WRITE,
	I2C_DIRECTION_READ,
};

enum I2C_ACKNOWLEDGE
{
	I2C_ACK,
	I2C_NAK,
};

PUBLIC bool i2c_init(enum I2C_SPEED speed);
PUBLIC void i2c_wait_until_finish();
PUBLIC void i2c_start(uint8 address, enum I2C_DIRECTION data_direction);
PUBLIC void i2c_write(uint8 data);
PUBLIC uint8 i2c_read(enum I2C_ACKNOWLEDGE acknowledge);
PUBLIC void i2c_stop();

#endif /* I2C_H_ */

////////////////////////////////////////////////////////////////////////////////
